Module Name:    src
Committed By:   kre
Date:           Mon Dec 25 07:43:03 UTC 2023

Modified Files:
        src/etc/rc.d: certctl_init

Log Message:
No longer use obsolete test(1) -a option/operator, use sh && instead.

While here a couple of minor formatting improvements - in general it
is always a good idea to surround sh operator chars (like '>' '(' ...)
with white space, to guard against thet possibility that some other (or
later enhanced) sh might have additional operators which happen to be
the character string used.

I don't understand while the final part of the condition for not doing
anything needs to run in a subshell, but that can stay for now.


To generate a diff of this commit:
cvs rdiff -u -r1.1 -r1.2 src/etc/rc.d/certctl_init

Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.

Modified files:

Index: src/etc/rc.d/certctl_init
diff -u src/etc/rc.d/certctl_init:1.1 src/etc/rc.d/certctl_init:1.2
--- src/etc/rc.d/certctl_init:1.1	Wed Sep 27 00:24:13 2023
+++ src/etc/rc.d/certctl_init	Mon Dec 25 07:43:03 2023
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $NetBSD: certctl_init,v 1.1 2023/09/27 00:24:13 riastradh Exp $
+# $NetBSD: certctl_init,v 1.2 2023/12/25 07:43:03 kre Exp $
 #
 # PROVIDE: certctl_init
 # REQUIRE: mountcritremote
@@ -36,10 +36,9 @@ certctl_init()
 	# directory, or is a directory but is nonempty, then we're not
 	# in the first boot's initial configuration.  So do nothing.
 	if [ -h "$certsdir" ] ||
-	    [ -e "$certsdir" -a ! -d "$certsdir" ] ||
-	    ([ -d "$certsdir" ] &&
-		find -f "$certsdir" -- \
-		    -maxdepth 0 -type d -empty -exit 1)
+	    { [ -e "$certsdir" ] && ! [ -d "$certsdir" ] ; } ||
+	    ( [ -d "$certsdir" ] &&
+		find -f "$certsdir" -- -maxdepth 0 -type d -empty -exit 1 )
         then
 		return
 	fi

Reply via email to